﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) Resistance VER RS-232 /5502
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) Diode Test VER RS-232 /5502
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) Continuity VER RS-232 /5502
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) Capacitance VER RS-232 /5502
DATE:                  2017-03-07 11:03:41
AUTHOR:                Fluke
REVISION:              $Revision: 18548 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       22
NUMBER OF LINES:       385
CONFIGURATION:         Fluke 5502E
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, DAC
#
#  This procedure contains tests whose Test Uncertainty Ratios are less
#  than 4:1, based on 5502E 1 year specifications.
#        CAPACITANCE
#               -   4 nF; TUR 2.2500
#               -  40 nF; TUR 2.1500
#               - 400 nF; TUR 2.4432
#               -   4 µF; TUR 2.1500
#               -  40 mF; TUR 2.2778
#
#  Source:
#        Tektronix TX1/TX3 Service Manual, Part No. 070-9893-01 (No date or
#        revision stated)
#
#  Additional Equipment Required:
#        DB9 IR Cable Kit, Fluke Part No. 1590638
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         RESISTANCE                   PSUBI("Resistance")
  1.002  JMPL         DIODE_TEST                   PSUBI("Diode Test")
  1.003  JMPL         CONTINUITY                   PSUBI("Continuity")
  1.004  JMPL         CAPACITANCE                  PSUBI("Capacitance")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment test number

# =====  Sub Tek TX1,TX3 (1 yr) Resistance VER RS-232 /5502  ================

  2.001  LABEL        RESISTANCE
  2.002  RSLT         =
  2.003  HEAD         {RESISTANCE}
  2.004  RSLT         =
  2.005  HEAD         -2{50 Ω Range})
  2.006  TARGET       -p
  2.007  DISP         Connect the 5520A to the UUT as follows:
  2.007  DISP
  2.007  DISP         [32]  5520A     to      UUT
  2.007  DISP         [32]  AUX HI ---------> V
  2.007  DISP         [32]  AUX LO ---------> COM
  2.007  DISP         [32]  NORMAL HI ------> V
  2.007  DISP         [32]  NORMAL LO ------> COM
  2.007  DISP
  2.007  DISP         Connect sense leads to UUT first!

  2.008  DISP         The next routine operator intervention
  2.008  DISP         occurs in approximately 2 minutes...

# Set UUT to the 500 Ω Range.
  2.009  MATH         @Cmd = "!T07,1"
  2.010  CALL         Sub Fluke 183,185 Send Command RS-232
  2.011  5502E        LeadComp = 2Wire
  2.011  5502E        +Resistance = 0.00 Ohms
# Press Softkey, F4 to enter 50 Ω Range.
  2.012  MATH         @Cmd = "!B10"
  2.013  CALL         Sub Fluke 183,185 Send Command RS-232
  2.014  5502E        LeadComp = 2Wire
  2.014  5502E        +Resistance = 40.00 Ohms
  2.015  MATH         @Cmd = "!M?"
  2.016  TARGET       -m
  2.017  CALL         Sub Fluke 183,185 Query Measurement RS-232
  2.018  MEMCX  50    40.00Z         0.1% 0.10U

  3.001  RSLT         =
  3.002  HEAD         -2{500 Ω Range}
  3.003  TARGET       -p
# Set UUT to the 500 Ω Range.
  3.004  MATH         @Cmd = "!T07,1"
  3.005  CALL         Sub Fluke 183,185 Send Command RS-232
  3.006  5502E        LeadComp = 2Wire
  3.006  5502E        +Resistance = 0.0 Ohms
# Wait 1 second for UUT reading to initially stabilize.
  3.007  WAIT         [D1000]
# Press 'Delta' button.
  3.008  MATH         @Cmd = "!B06"
  3.009  CALL         Sub Fluke 183,185 Send Command RS-232
  3.010  5502E        LeadComp = 2Wire
  3.010  5502E        +Resistance = 400.0 Ohms
# Wait 1 second for UUT reading to stabilize following 'Delta' button push.
  3.011  WAIT         [D1000]
  3.012  MATH         @Cmd = "!M?"
  3.013  TARGET       -m
  3.014  CALL         Sub Fluke 183,185 Query Measurement RS-232
  3.015  MEMCX  500   400.0Z         0.1% 0.4U

  4.001  RSLT         =
  4.002  HEAD         -2{5 kΩ Range}
  4.003  TARGET       -p
# Set UUT to the 5 kΩ Range.
  4.004  MATH         @Cmd = "!T07,2"
  4.005  CALL         Sub Fluke 183,185 Send Command RS-232
  4.006  5502E        LeadComp = 2Wire
  4.006  5502E        +Resistance = 4.000 kOhms
  4.007  MATH         @Cmd = "!M?"
  4.008  TARGET       -m
  4.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
  4.010  MATH         MEM = MEM / 1E+3
  4.011  MEMCX  5     4.000kZ        0.1% 0.002U

  5.001  RSLT         =
  5.002  HEAD         -2{50 kΩ Range}
  5.003  TARGET       -p
# Set UUT to the 50 kΩ Range.
  5.004  MATH         @Cmd = "!T07,3"
  5.005  CALL         Sub Fluke 183,185 Send Command RS-232
  5.006  5502E        LeadComp = 2Wire
  5.006  5502E        +Resistance = 40.00 kOhms
  5.007  MATH         @Cmd = "!M?"
  5.008  TARGET       -m
  5.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
  5.010  MATH         MEM = MEM / 1E+3
  5.011  MEMCX  50    40.00kZ        0.1% 0.02U

  6.001  RSLT         =
  6.002  HEAD         -2{500 kΩ Range}
  6.003  TARGET       -p
# Set UUT to the 500 kΩ Range.
  6.004  MATH         @Cmd = "!T07,4"
  6.005  CALL         Sub Fluke 183,185 Send Command RS-232
  6.006  5502E        +Resistance = 400.0 kOhms
  6.007  MATH         @Cmd = "!M?"
  6.008  TARGET       -m
  6.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
  6.010  MATH         MEM = MEM / 1E+3
  6.011  MEMCX  500   400.0kZ        0.1% 0.2U

  7.001  RSLT         =
  7.002  HEAD         -2{5 MΩ Range}
  7.003  TARGET       -p
# Set UUT to the 5 MΩ Range.
  7.004  MATH         @Cmd = "!T07,5"
  7.005  CALL         Sub Fluke 183,185 Send Command RS-232
  7.006  5502E        +Resistance = 4.000 MOhms
  7.007  MATH         @Cmd = "!M?"
  7.008  TARGET       -m
  7.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
  7.010  MATH         MEM = MEM / 1E+6
  7.011  MEMCX  5     4.000MZ        0.4% 0.004U

  8.001  RSLT         =
  8.002  HEAD         -2{50 MΩ Range}
  8.003  TARGET       -p
# Set UUT to the 50 MΩ Range.
  8.004  MATH         @Cmd = "!T07,6"
  8.005  CALL         Sub Fluke 183,185 Send Command RS-232
  8.006  5502E        +Resistance = 40.00 MOhms
  8.007  MATH         @Cmd = "!M?"
  8.008  TARGET       -m
  8.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
  8.010  MATH         MEM = MEM / 1E+6
  8.011  MEMCX  50    40.00MZ        1% 0.04U
#! WARNING: Test Tol 4.4e+05, Sys Tol 2.03e+05 Ohms, TUR 2.1675 (< 4.00).

head -2
  9.001  HEAD
  9.002  5502E        Reset
  9.003  END

  9.004  EVAL   Increment test number

# =====  Sub Tek TX1,TX3 (1 yr) Continuity VER RS-232 /5502  ================

 10.001  LABEL        CONTINUITY
 10.002  RSLT         =
 10.003  HEAD         CONTINUITY
 10.004  TARGET
# Press softkey F2.
 10.005  MATH         @Cmd = "!B08"
 10.006  CALL         Sub Fluke 183,185 Send Command RS-232
 10.007  5502E        +Resistance = 50 Ohms
# Query beeper on/off status.
 10.008  MATH         @Cmd = "!c?"
 10.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 10.010  MATH         L[1] = MEM
 10.011  5502E        +Resistance = 150 Ohms
 10.012  MATH         @Cmd = "!c?"
 10.013  CALL         Sub Fluke 183,185 Query Measurement RS-232
 10.014  MATH         L[2] = MEM
 10.015  5502E        +Resistance = 0 Ohms
 10.016  MATH         @Cmd = "!c?"
 10.017  CALL         Sub Fluke 183,185 Query Measurement RS-232
 10.018  MATH         L[3] = MEM
 10.019  EVAL   -e L[1] && L[2] && L[3] : CONTINUITY

 11.001  HEAD
 11.002  5502E        Reset
 11.003  END

 11.004  EVAL   Increment test number

# =====  Sub Tek TX1,TX3 (1 yr) Diode Test VER RS-232 /5502  ================

 12.001  LABEL        DIODE_TEST
 12.002  RSLT         =
 12.003  HEAD         {DIODE}
 12.004  TARGET       -p
# Press softkey F3.
 12.005  MATH         @Cmd = "!B09"
 12.006  CALL         Sub Fluke 183,185 Send Command RS-232
 12.007  5502E        +Voltage = 0.500 V
 12.008  MATH         @Cmd = "!M?"
 12.009  TARGET       -m
 12.010  CALL         Sub Fluke 183,185 Query Measurement RS-232
 12.011  MEMCX        0.500V         0.005U

 13.001  HEAD
 13.002  5502E        Reset
 13.003  END

 13.004  EVAL   Increment test number

# =====  Sub Tek TX1,TX3 (1 yr) Capacitance VER RS-232 /5502  ===============

 14.001  LABEL        CAPACITANCE
 14.002  RSLT         =
 14.003  HEAD         {CAPACITANCE}
 14.004  RSLT         =
 14.005  HEAD         -2{5 nF Range}
 14.006  TARGET       -p
 14.007  DISP         In preparation for the following CAPACITANCE,
 14.007  DISP         the residual capacitance (including that of the
 14.007  DISP         test leads), must first be accounted for.
 14.007  DISP
 14.007  DISP         Connect the test leads to the UUT V and COM jacks,
 14.007  DISP         leaving the opposite ends of the leads OPEN.

# Set UUT to capacitance, 5 nF Range.
 14.008  MATH         @Cmd = "!T10,0"
 14.009  CALL         Sub Fluke 183,185 Send Command RS-232
# Wait for UUT to settle prior to invoking relative mode.
 14.010  WAIT         -t 2 System settling...
# Press 'Delta' button.
 14.011  MATH         @Cmd = "!B06"
 14.012  CALL         Sub Fluke 183,185 Send Command RS-232
 14.013  DISP         Connect the 5520A to the UUT as follows:
 14.013  DISP
 14.013  DISP         [32] 5520A       to    UUT
 14.013  DISP         [32] NORMAL HI ------> V
 14.013  DISP         [32] NORMAL LO ------> COM

 14.014  DISP         The next routine operator intervention
 14.014  DISP         occurs in approximately 9 minutes...

 14.015  5502E        +Capacitance = 4.000 nF
 14.016  MATH         @Cmd = "!M?"
 14.017  TARGET       -m
 14.018  CALL         Sub Fluke 183,185 Query Measurement RS-232
 14.019  MATH         MEM = MEM / 1E-9
 14.020  MEMCX  5     4.000nF        1% 0.005U
#! WARNING: Test Tol 4.5e-11, Sys Tol 2e-11 F, TUR 2.2500 (< 4.00).

 15.001  RSLT         =
 15.002  HEAD         -2{50 nF Range}
 15.003  TARGET       -p
# Set UUT to the 50 nF Range.
 15.004  MATH         @Cmd = "!B02"
 15.005  CALL         Sub Fluke 183,185 Send Command RS-232
 15.006  5502E        +Capacitance = 40.00 nF
 15.007  MATH         @Cmd = "!M?"
 15.008  TARGET       -m
 15.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 15.010  MATH         MEM = MEM / 1E-9
 15.011  MEMCX  50    40.00nF        1% 0.03U
#! WARNING: Test Tol 4.3e-10, Sys Tol 2e-10 F, TUR 2.1500 (< 4.00).

 16.001  RSLT         =
 16.002  HEAD         -2{500 nF Range}
# Press 'Delta' button, turning relative mode off.
 16.003  MATH         @Cmd = "!B06"
 16.004  CALL         Sub Fluke 183,185 Send Command RS-232
 16.005  TARGET       -p
# Set UUT to the 500 nF Range.
 16.006  MATH         @Cmd = "!T10,2"
 16.007  CALL         Sub Fluke 183,185 Send Command RS-232
 16.008  5502E        +Capacitance = 400.0 nF
 16.009  MATH         @Cmd = "!M?"
 16.010  TARGET       -m
 16.011  CALL         Sub Fluke 183,185 Query Measurement RS-232
 16.012  MATH         MEM = MEM / 1E-9
 16.013  MEMCX  500   400.0nF        1% 0.3U
#! WARNING: Test Tol 4.3e-09, Sys Tol 2e-09 F, TUR 2.1500 (< 4.00).

 17.001  RSLT         =
 17.002  HEAD         -2{5 µF Range}
 17.003  TARGET       -p
# Set UUT to the 5 µF Range.
 17.004  MATH         @Cmd = "!T10,3"
 17.005  CALL         Sub Fluke 183,185 Send Command RS-232
 17.006  5502E        +Capacitance = 4.000 uF
 17.007  MATH         @Cmd = "!M?"
 17.008  TARGET       -m
 17.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 17.010  MATH         MEM = MEM / 1E-6
 17.011  MEMCX  5     4.000uF        1% 0.003U
#! WARNING: Test Tol 4.3e-08, Sys Tol 2e-08 F, TUR 2.1500 (< 4.00).

 18.001  RSLT         =
 18.002  HEAD         -2{50 µF Range}
 18.003  TARGET       -p
# Set UUT to the 50 µF Range.
 18.004  MATH         @Cmd = "!T10,4"
 18.005  CALL         Sub Fluke 183,185 Send Command RS-232
 18.006  5502E        +Capacitance = 40.00 uF
 18.007  MATH         @Cmd = "!M?"
 18.008  TARGET       -m
 18.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 18.010  MATH         MEM = MEM / 1E-6
 18.011  MEMCX  50    40.00uF        3% 0.03U

 19.001  RSLT         =
 19.002  HEAD         -2{500 µF Range}
 19.003  TARGET       -p
# Set UUT to the 500 µF Range.
 19.004  MATH         @Cmd = "!T10,5"
 19.005  CALL         Sub Fluke 183,185 Send Command RS-232
 19.006  5502E        +Capacitance = 400.0 uF
 19.007  MATH         @Cmd = "!M?"
 19.008  TARGET       -m
 19.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 19.010  MATH         MEM = MEM / 1E-6
 19.011  MEMCX  500   400.0uF        3% 0.3U

 20.001  RSLT         =
 20.002  HEAD         -2{5 mF Range}
 20.003  TARGET       -p
# Set UUT to the 5 mF Range.
 20.004  MATH         @Cmd = "!T10,6"
 20.005  CALL         Sub Fluke 183,185 Send Command RS-232
 20.006  5502E        +Capacitance = 4.000 mF
 20.007  WAIT         -t 20 UUT acquiring reading...
 20.008  TARGET       -m
 20.009  MATH         @Cmd = "!M?"
 20.010  CALL         Sub Fluke 183,185 Query Measurement RS-232
 20.011  MATH         MEM = MEM / 1E-3
 20.012  MEMCX  5     4.000mF        3% 0.003U

 21.001  RSLT         =
 21.002  HEAD         -2{50 mF Range}
 21.003  TARGET       -p
# Set UUT to the 50 mF Range.
 21.004  MATH         @Cmd = "!T10,7"
 21.005  CALL         Sub Fluke 183,185 Send Command RS-232
 21.006  5502E        +Capacitance = 40.00 mF
 21.007  WAIT         -t 2:00 UUT acquiring reading...
 21.008  MATH         @Cmd = "!M?"
 21.009  TARGET       -m
 21.010  CALL         Sub Fluke 183,185 Query Measurement RS-232
 21.011  MATH         MEM = MEM / 1E-3
 21.012  MEMCX  50    40.00mF        3% 0.03U
#! WARNING: Test Tol 0.00123, Sys Tol 0.00054 F, TUR 2.2778 (< 4.00).

 22.001  HEAD         -2
 22.002  HEAD
 22.003  5502E        Reset
 22.004  END
