﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) AC Voltage Freq VER RS-232 /5502
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) V Peak Hold VER RS-232 /5502
INSTRUMENT:            Sub Tek TX1,TX3 (1 yr) AC+DC V & Freq VER RS-232 /5502
DATE:                  2017-03-07 13:20:41
AUTHOR:                Fluke
REVISION:              $Revision: 18548 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       16
NUMBER OF LINES:       259
CONFIGURATION:         Fluke 5502E
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, DAC
#
#  This procedure contains tests whose Test Uncertainty Ratios are less
#  than 4:1, based on 5502E 1 year specifications.
#        VOLTAGE PEAK HOLD
#               - ±3.2 Vp; TUR 1.8462
#
#  Source:
#        Tektronix TX1/TX3 Service Manual, Part No. 070-9893-01 (No date or
#        revision stated)
#
#  Additional Equipment Required:
#        DB9 IR Cable Kit, Fluke Part No. 1590638
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         AC_VOLTAGE_FREQUENCY         PSUBI("AC Voltage Freq")
  1.002  JMPL         VOLTAGE_PEAK_HOLD            PSUBI("V Peak Hold")
  1.003  JMPL         AC+DC_VOLTAGE_AND_FREQUENCY  PSUBI("AC+DC V & Freq")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment test number

# =====  Sub Tek TX1,TX3 (1 yr) AC Voltage Freq VER RS-232 /5502  ===========

  2.001  LABEL        AC_VOLTAGE_FREQUENCY
  2.002  RSLT         =
  2.003  HEAD         {AC VOLTAGE FREQUENCY}
# Set virtual knob position (Frequency)
  2.004  PORT         [CLR]
  2.005  MATH         @Cmd = "!K2"
  2.006  CALL         Sub Fluke 183,185 Send Command RS-232
  2.007  PORT         [D1000][CLR]
  2.008  MATH         @Cmd = "!K?"
  2.009  CALL         Sub Fluke 183,185 Send Command RS-232

  2.010  RSLT         =
  2.011  HEAD         -2{500 mV Range}
  2.012  TARGET       -p
# Set UUT to Hz.
  2.013  MATH         @Cmd = "!K2"
  2.014  CALL         Sub Fluke 183,185 Send Command RS-232
  2.015  MATH         @Cmd = "!T19,0"
  2.016  CALL         Sub Fluke 183,185 Send Command RS-232
  2.017  5502E        +Frequency = 40.00 Hz; Voltage = 100 mV
  2.018  MATH         @Cmd = "!M?"
  2.019  TARGET       -m
  2.020  CALL         Sub Fluke 183,185 Query Measurement RS-232
  2.021  MEMCX        40.00H         0.01U         100mV

  3.001  5502E        +Frequency = 20.00 kHz; Voltage = 100 mV
  3.002  TARGET       -m
  3.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
  3.004  MATH         MEM = MEM / 1E+3
  3.005  MEMCX        20.00kH        0.01U         100mV

  4.001  RSLT         =
  4.002  HEAD         -2{5 V Range}
  4.003  TARGET       -p
  4.004  MATH         @Cmd = "!T19,1"
  4.005  CALL         Sub Fluke 183,185 Send Command RS-232
  4.006  5502E        +Frequency = 40.00 Hz; Voltage = 500 mV
  4.007  MATH         @Cmd = "!M?"
  4.008  TARGET       -m
  4.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
  4.010  MEMCX        40.00H         0.01U         500mV

  5.001  5502E        +Frequency = 20.00 kHz; Voltage = 500 mV
  5.002  CALL         Sub Fluke 183,185 Query Measurement RS-232
  5.003  MATH         MEM = MEM / 1E+3
  5.004  MEMCX        20.00kH        0.01U         500mV

  6.001  HEAD         -2
  6.002  HEAD
  6.003  5502E        Reset
  6.004  END

  6.005  EVAL   Increment test number

# =====  Sub Tek TX1,TX3 (1 yr) V Peak Hold VER RS-232 /5502  ===============

  7.001  LABEL        VOLTAGE_PEAK_HOLD
  7.002  RSLT         =
  7.003  HEAD         {VOLTAGE PEAK HOLD}
  7.004  TARGET       -p

  7.005  LABEL        VOLTAGE_PEAK_HOLD_MAX
  7.006  5502E        Waveform = Square
  7.006  5502E        +Voltage = 3.200 Vp; Frequency = 500 Hz
# Set UUT to V DC, 5 V Range.
  7.007  MATH         @Cmd = "!T03,1"
  7.008  CALL         Sub Fluke 183,185 Send Command RS-232
# Press UUT (blue) shift button.
  7.009  MATH         @Cmd = "!B03"
  7.010  CALL         Sub Fluke 183,185 Send Command RS-232
# Press UUT M/M/A (1 ms) button to enter FAST mode, Max reading.
  7.011  MATH         @Cmd = "!B01"
  7.012  CALL         Sub Fluke 183,185 Send Command RS-232
  7.013  MATH         @Cmd = "!M?"
  7.014  TARGET       -m
  7.015  CALL         Sub Fluke 183,185 Query Measurement RS-232
  7.016  MEMCX  5     3.200Vp        0.030U        500H

  8.001  JMPL         VOLTAGE_PEAK_HOLD_MIN

# Dummy statement so negative peak test has a reference accuracy.
  8.002  5502E        Waveform = Square
  8.002  5502E        +Voltage = -3.200 Vp; Frequency = 500 Hz
  8.003  TARGET       -p
  8.004  JMPL         VOLTAGE_PEAK_HOLD_MAX

  8.005  LABEL        VOLTAGE_PEAK_HOLD_MIN
 # Press UUT M/M/A (1 ms) button to to toggle to Min reading.
  8.006  MATH         @Cmd = "!B01"
  8.007  CALL         Sub Fluke 183,185 Send Command RS-232
  8.008  MATH         @Cmd = "!M?"
  8.009  TARGET       -m
  8.010  CALL         Sub Fluke 183,185 Query Measurement RS-232
  8.011  MEMCX  5     -3.200Vp       0.030U        500H

  9.001  HEAD
  9.002  5502E        Reset
# Clear all previously invoked !H states.
  9.003  MATH         @Cmd = "!H00"
  9.004  CALL         Sub Fluke 183,185 Send Command RS-232
# Disable button beeps.
  9.005  MATH         @Cmd = "!N1"
  9.006  CALL         Sub Fluke 183,185 Send Command RS-232
  9.007  END

  9.008  EVAL   Increment test number

# =====  Sub Tek TX1,TX3 (1 yr) AC+DC V & Freq VER RS-232 /5502  ============

 10.001  LABEL        AC+DC_VOLTAGE_AND_FREQUENCY
 10.002  RSLT         =
 10.003  HEAD         {AC+DC VOLTS and FREQUENCY}
 10.004  RSLT         =
 10.005  HEAD         -2{5 V Range}
 10.006  TARGET       -p
 10.007  TSET         TDESC = -1.000 V
# Set UUT to V AC+DC, 5 V Range.
 10.008  MATH         @Cmd = "!T04,1"
 10.009  CALL         Sub Fluke 183,185 Send Command RS-232
 10.010  5502E        +Voltage = -1.000 V
 10.011  MATH         @Cmd = "!M?"
 10.012  TARGET       -m
 10.013  CALL         Sub Fluke 183,185 Query Measurement RS-232
# In AC+DC mode, UUT does not return polarity of applied DC.
 10.014  MEMCX  5     1.000V         0.7% 0.003U

 11.001  5502E        +Voltage = 1.000 V
 11.002  TARGET       -m
 11.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 11.004  MEMCX  5     1.000V         0.7% 0.003U

 12.001  5502E        +Voltage = 1.000 V; Frequency = 60 Hz
 12.002  TARGET       -m
 12.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 12.004  MEMCX  5     1.000V         0.7% 0.003U   60H

 13.001  5502E        +Frequency = 20.00 kHz; Voltage = 1.000 V
# Read upper display value.
 13.002  MATH         @Cmd = "!U?"
 13.003  TARGET       -m
 13.004  CALL         Sub Fluke 183,185 Query Measurement RS-232
 13.005  MATH         MEM = MEM / 1E+3
 13.006  MEMCX        20.00kH        0.01U         500mV

 14.001  HEAD         -2
 14.002  5502E        Standby

 14.003  RSLT         =
 14.004  HEAD         {FREQUENCY}
 14.005  TARGET
# Set virtual knob position to Hz.
 14.006  MATH         @Cmd = "!K2"
 14.007  CALL         Sub Fluke 183,185 Send Command RS-232
# Invoke Power On button function (HiRes).
 14.008  MATH         @Cmd = "!l03"
 14.009  CALL         Sub Fluke 183,185 Send Command RS-232
 14.010  5502E        +Frequency = 990.00 kHz; Voltage = 5.656 Vpp
 14.011  MATH         @Cmd = "!M?"
 14.012  CALL         Sub Fluke 183,185 Query Measurement RS-232
 14.013  MATH         MEM = MEM / 1E+3
 14.014  MEMCX        990.00kH       0.002% 0.01U  5.656Vpp

 15.001  5502E        Standby
# Clear all Power On button settings.
 15.002  MATH         @Cmd = "!l00"
 15.003  CALL         Sub Fluke 183,185 Send Command RS-232
# Disable button beeps.
 15.004  MATH         @Cmd = "!N1"
 15.005  CALL         Sub Fluke 183,185 Send Command RS-232

 15.006  RSLT         =
 15.007  HEAD         {DUTY FACTOR}
# Retrieve 5520A duty cycle accuracy at 10 ms (100 Hz), 10 %.
 15.008  MATH         L[1] = ACCV2("Fluke 5520A", "Duty", 10E-3, 10)
 15.009  TARGET       -p
# Query current UUT configuration.
 15.010  MATH         @Cmd = "!j?"
 15.011  CALL         Sub Fluke 183,185 Send Command RS-232
# Parse out current configuration data. and store in register S[30].
 15.012  MATH         S[30] = FLD(MEM2, 2, ";")
# Set UUT configuration: backlight auto-off interval, 30 seconds; auto
# power off interval to 60 minutes; duty factor on, positive, positive edge
# trigger.
 15.013  MATH         @Cmd = "!j030,060,00111"
 15.014  CALL         Sub Fluke 183,185 Send Command RS-232
# Set virtual knob position to Hz.
 15.015  MATH         @Cmd = "!K2"
 15.016  CALL         Sub Fluke 183,185 Send Command RS-232
 15.017  5502E        Waveform = Square; Voltage = 5 Vpp
 15.017  5502E        +DutyCycle = 10.00 %; Frequency = 100 Hz
 15.018  TARGET       -m
# Take reading from upper display.
 15.019  MATH         @Cmd = "!U?"
 15.020  CALL         Sub Fluke 183,185 Query Measurement RS-232
 15.021  MEMCX        10.00pct       0.10U

 16.001  HEAD
 16.002  5502E        Reset
# Restore initial configuration data back to instrument.
 16.003  MATH         @Cmd = "!j" & S[30]
 16.004  CALL         Sub Fluke 183,185 Send Command RS-232
# Disable button beeps.
 16.005  MATH         @Cmd = "!N1"
 16.006  CALL         Sub Fluke 183,185 Send Command RS-232
 16.007  END
